#
# spec file for package gmpc-playlistsort
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gmpc-playlistsort
Version:        0.20.0
Release:        3.2
Summary:        Gmpc Magnatune Plugin
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://gmpcwiki.sarine.nl
Source0:        http://download.sarine.nl/download/Programs/gmpc/%{version}/%{name}-%{version}.tar.gz
#PATCH-FIX-OPENSUSE strndup.patch avvissu@yandex.ru -- Fix build with glibc-2.20 (define to 1 if have the `strndup' function)
Patch0:         gmpc-playlistsort-0.20.0_strndup.patch
BuildRequires:  libtool
BuildRequires:  pkgconfig
%if 0%{?suse_version} > 1140
BuildRequires:  pkgconfig(gmpc)
%ifarch armv6l armv6hl
BuildRequires:  -raspberrypi-userland
BuildRequires:  Mesa-libEGL1
BuildRequires:  pkgconfig(egl)
%endif
%endif
%if 0%{?suse_version} < 1210
BuildRequires:  gmpc-devel
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       gmpc

%description
Gnome Music Player Client Plugin
The plugin allows you to browse, and preview available albums on www.magnatune.com.

%prep
%setup -q

%patch0 -p1

%build
sed -i -e "s|/lib/|/%{_lib}/|g" src/Makefile.in src/Makefile.am
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root,-)
%dir %{_libdir}/gmpc
%dir %{_libdir}/gmpc/plugins
%{_libdir}/gmpc/plugins/playlistsortplugin.la
%{_libdir}/gmpc/plugins/playlistsortplugin.so

%changelog
* Wed Nov 12 2014 avvissu@yandex.ru
- Fix build on armv6l (exclude raspberrypi-userland)
- Fix build with libmpd1 on openSUSE > 13.2
  * add gmpc-playlistsort-0.20.0_strndup.patch
- Use pkgconfig in package names
- Add BuildRequires: libtool pkgconfig
- Spec file cleanup
* Sun Jun 27 2010 detlef@links2linux.de
- new upstream version <0.20.0>
* Thu Sep 24 2009 detlef@links2linux.de 
- new upstream version <0.19.0>
* Sun Dec 28 2008 detlef@links2linux.de
- initial build for packman <0.17.0>
